package com.zsc.edu.gateway.modules.iot.device.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.device.dto.BatchDeviceDto;
import com.zsc.edu.gateway.modules.iot.device.dto.DeviceDto;
import com.zsc.edu.gateway.modules.iot.device.dto.DeviceServeDto;
import com.zsc.edu.gateway.modules.iot.device.entity.Device;
import com.zsc.edu.gateway.modules.iot.device.query.DeviceQuery;

import java.util.List;

public interface DeviceService extends IService<Device> {
    Device create(DeviceDto dto);

    List<Device> batchCreate(BatchDeviceDto dto);

    Device update(DeviceDto dto, Long id);

    IPage<Device> page(Page<Device> page, DeviceQuery query);

    Device detail(Long id);

    Boolean serve(DeviceServeDto dto);
}
