package com.zsc.edu.gateway.modules.iot.record.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;
import java.util.Map;

/**
 * @author zhuang
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("iot_record")
public class Record {
    @TableId
    private String id;

    private String clientId;

    private String attachmentId;

    private Map<String, Object> content;

    private Date recordTime;
}
