package com.zsc.edu.gateway.modules.iot.tsl.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author rehtd
 * &#064;description  物模型事件
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class BaseParam implements Serializable {
    /**
     * 序列化主键（有数据库提供，非自增）
     */
    private Long id = -1L;

    /**
     * 标识
     */
    private String identifier;

    /**
     * 名称
     */
    private String name;

    /**
     * 说明
     */
    private String remark;

}
