package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ServeDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Serve;
import com.zsc.edu.gateway.modules.iot.tsl.query.ServeQuery;

/**
 * @author zhuang
 */
public interface ServeService extends IService<Serve> {
    Serve create(ServeDto dto);

    Serve update(ServeDto dto, Long id);

    IPage<Serve> page(Page<Serve> page, ServeQuery query);

    //
    //    /**
    //     * 根据产品ID查找服务
    //     *
    //     * @param productId 产品id
    //     * @return
    //     */
    //    public List<Serve> findByProductId(Long productId) {
    //        return repo.findByProductId(productId);
    //    }
    Serve detail(Long id);
}
