package com.zsc.edu.gateway.modules.system.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.zsc.edu.gateway.modules.system.entity.User;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zhuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeptTree {

    private Long id;
    @JsonIgnore
    private Long pid;
    private String name;
    List<DeptTree> children = new ArrayList<>();
    List<UserTree> members = new ArrayList<>();
}
