package com.zsc.edu.gateway.modules.iot.device.query;

import com.zsc.edu.gateway.modules.iot.device.entity.Device;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zhuang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceQuery {
    /**
     * 设备名称
     */
    public String name;

    /**
     * 客户ID
     */
    public String clientId;
    /**
     * 产品Id
     */
    public Long productId;

    /**
     * 设备状态
     */
    public Device.Status status;
    /**
     * 设态是否在线
     */
    public Boolean isOnline;


}
