package com.zsc.edu.gateway.modules.iot.product.repo;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zsc.edu.gateway.modules.iot.product.entity.Product;
import com.zsc.edu.gateway.modules.iot.product.query.ProductQuery;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


/**
 * @author Yao
 */
public interface ProductRepository extends BaseMapper<Product> {
    @Select("select * from iot_product where name=#{name}")
    Product findByName(@Param("name") String name);

    IPage<Product> page(Page<Product> page, @Param("query") ProductQuery query);

    Product selectById(@Param("id") Long id);
}
