package com.zsc.edu.gateway.modules.iot.tsl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import java.util.Set;

/**
 * @author Yao
 * @desciption 物模型服务
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("iot_serve")
public class Serve extends BaseParam {

    private Long productId;

    /**
     * 服务所需参数
     */
    @TableField(exist = false)
    private Set<Param> inputs;

    /**
     * 服务输出的参数
     */
    @TableField(exist = false)
    private Set<Param> outputs;

}

