package com.zsc.edu.gateway.modules.iot.tsl.repo;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Event;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Property;
import com.zsc.edu.gateway.modules.iot.tsl.query.PropertyQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PropertyRepository extends BaseMapper<Property> {


    IPage<Property> page(Page<Property> page, @Param("query") PropertyQuery query);

    Property selectById(@Param("id") Long id);
}
