package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.tsl.dto.PropertyDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Property;
import com.zsc.edu.gateway.modules.iot.tsl.query.PropertyQuery;

/**
 * @author zhuang
 */
public interface PropertyService extends IService<Property> {
    Property create(PropertyDto dto);

    Property update(PropertyDto dto, Long id);

    IPage<Property> page(Page<Property> page, PropertyQuery query);

    //    /**
    //     * 根据产品ID查找属性
    //     *
    //     * @param query 查询表单
    //     * @return
    //     */
    //    public List<Property> findByProductIdAndIoType(PropertyQuery query) {
    //        return repo.findByProductIdAndIoType(query.productId, query.type);
    //    }
    Property detail(Long id);
}
